# Interface methods for submodule: QuadEdgeMeshLineCell
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import CellInterfaceProxy as _CellInterfaceProxy, GeometricalQuadEdgeProxy as _GeometricalQuadEdgeProxy


# Interface methods for class: QuadEdgeMeshLineCell
class QuadEdgeMeshLineCellProxy(_CellInterfaceProxy, _GeometricalQuadEdgeProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetQEGeom(self):
		""""""
		...

	def SetIdent(self, cid: int) -> None:
		""""""
		...

	def GetIdent(self) -> int:
		""""""
		...

	def Accept(self, cellId: int, mv) -> None:
		""""""
		...

	def GetType(self):
		""""""
		...

	@staticmethod
	def GetTopologyId():
		""""""
		...

	def GetDimension(self) -> int:
		""""""
		...

	def GetNumberOfPoints(self) -> int:
		""""""
		...

	def GetNumberOfBoundaryFeatures(self, dimension: int) -> int:
		""""""
		...

	def GetBoundaryFeature(self, dimension: int, cellId: int, cell) -> bool:
		""""""
		...

	def MakeCopy(self, cell) -> None:
		""""""
		...

	@overload
	def SetPointIds(self, first) -> None:
		""""""
		...

	@overload
	def SetPointIds(self, first, last) -> None:
		""""""
		...

	def SetPointId(self, localId: int, pId: int) -> None:
		""""""
		...

	def PointIdsBegin(self):
		""""""
		...

	def PointIdsEnd(self):
		""""""
		...

	def GetPointIds(self):
		""""""
		...

	def SynchronizePointsAPI(self) -> None:
		""""""
		...

	@overload
	def InternalSetPointIds(self, first) -> None:
		""""""
		...

	@overload
	def InternalSetPointIds(self, first, last) -> None:
		""""""
		...

	def InternalPointIdsBegin(self):
		""""""
		...

	def InternalPointIdsEnd(self):
		""""""
		...

	def InternalGetPointIds(self):
		""""""
		...

